/**
 * ActMoodPredicate.java
 *
 * File generated from the medication::ActMoodPredicate uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodPredicate.
 *
 * 
 */

@XmlType(name = "ActMoodPredicate")
@XmlEnum
@XmlRootElement(name = "ActMoodPredicate")
public enum ActMoodPredicate {
	@XmlEnumValue("EVN.CRT")
	EVNCRT("EVN.CRT"),
	@XmlEnumValue("GOL")
	GOL("GOL"),
	@XmlEnumValue("OPT")
	OPT("OPT"),
	@XmlEnumValue("PERM")
	PERM("PERM"),
	@XmlEnumValue("PERMRQ")
	PERMRQ("PERMRQ");
	
	private final String value;

    ActMoodPredicate(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActMoodPredicate fromValue(String v) {
        for (ActMoodPredicate c: ActMoodPredicate.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}